Bug 485154 - Review Request: perl-MooseX-Role-Cmd - Wrap system command binaries the Moose way
Review Request: perl-MooseX-Role-Cmd - Wrap system command binaries the Moose...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-11 16:54 EST by Allisson Azevedo
Modified: 2012-01-15 17:20 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-13 08:03:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Allisson Azevedo 2009-02-11 16:54:52 EST
Spec URL: http://allisson.fedorapeople.org/packages/perl-MooseX-Role-Cmd/perl-MooseX-Role-Cmd.spec

SRPM URL: http://allisson.fedorapeople.org/packages/perl-MooseX-Role-Cmd/perl-MooseX-Role-Cmd-0.04-1.fc10.src.rpm

Description: MooseX::Role::Cmd is a Moose role intended to ease the task of building 
command-line wrapper modules. It automatically maps Moose objects into 
command strings which are passed to IPC::Cmd.
Comment 1 Parag AN(पराग) 2009-02-12 03:37:34 EST
Review:
+ package builds in mock (rawhide i386).
koji Build => http://koji.fedoraproject.org/koji/taskinfo?taskID=1120997
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
9bcd44e502c16e0cab226d26510bba6d  MooseX-Role-Cmd-0.04.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test gave
All tests successful.
Files=4, Tests=21,  2 wallclock secs ( 0.03 usr  0.01 sys +  2.07 cusr  0.14 csys =  2.25 CPU)
+ Package perl-MooseX-Role-Cmd-0.04-1.fc11 =>
  Provides: perl(MooseX::Role::Cmd) = 0.04 perl(MooseX::Role::Cmd::Meta::Attribute::Trait)
Requires: perl(IPC::Cmd) perl(Moose::Role)
 perl(Moose::Util::TypeConstraints) perl(strict) perl(warnings)

APPROVED.
Comment 2 Allisson Azevedo 2009-02-12 05:36:21 EST
New Package CVS Request
=======================
Package Name: perl-MooseX-Role-Cmd
Short Description: Wrap system command binaries the Moose way
Owners: allisson
Branches: F-9 F-10
Comment 3 Kevin Fenzi 2009-02-13 01:48:54 EST
cvs done.
Comment 4 Iain Arnell 2012-01-15 04:24:06 EST
Package Change Request
======================
Package Name: perl-MooseX-Role-Cmd
InitialCC: perl-sig

Please add perl-sig to this package with watchbugzilla and watchcommits bits on all fedora branches.
Comment 5 Gwyn Ciesla 2012-01-15 17:20:32 EST
Done.

Note You need to log in before you can comment on or make changes to this bug.